Skip to content
POST/organizations/{organizationId}/users/list

List users

Returns a list of users of an organization

Required permissions:

  • user.read

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

maxItems: 5

maxItems: 100

searchTermstringoptional

maxItems: 100

maxItems: 100

A stringified json object representing a property filter

Authentication: X-API-Key

Request

POST/organizations/{organizationId}/users/list
curl --request POST 'https://cloud.campai.com/api/organizations/{organizationId}/users/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "users": [
    {
      "_id": "000000000000000000000001",
      "userId": "string",
      "avatar": {
        "resource": "string"
      },
      "name": "string",
      "email": "string",
      "language": "en",
      "lastSeen": {},
      "type": "owner",
      "access": {
        "owner": true,
        "restrictions": {},
        "role": "000000000000000000000001",
        "permissions": {},
        "customAccess": {
          "contactTagsRestriction": {
            "enabled": true,
            "values": [
              "string"
            ],
            "allowEmpty": true
          },
          "membershipSectionsRestriction": {
            "enabled": true,
            "values": [
              "string"
            ],
            "allowEmpty": true
          }
        },
        "portal": true
      },
      "roleName": "string",
      "contacts": [
        {
          "contact": "000000000000000000000001",
          "name": "string",
          "canAccess": true
        }
      ],
      "canEditContacts": true
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}